## mygpoclient 1.9

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = mygpoclient
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## mygpoclient 1.7

=== debian/changelog ===
mygpoclient (1.7-1) unstable; urgency=low

  [ Thomas Perl ]
  * The "Nuisance Value" release
  * debian/control: 
    - Bump Standards-Version to 3.9.4
    - Remove XS-Python-Version
    - Bump debhelper dependency to 9; update debian/compat
  * debian/rules: Use the new simple "dh"-based rules format
  * Switch to dpkg-source 3.0 (quilt) format

  [ tony mancill ]
  * Include upstream patch 0001-Add-manpage-for-bpsync
  * debian/control
    - Add myself to Uploaders
    - Add Vcs-Git and Vcs-Browser fields

 -- tony mancill <tmancill@debian.org>  Mon, 25 Feb 2013 22:41:27 -0800

mygpoclient (1.4-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies and provides.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Apr 2012 13:43:04 +0000

mygpoclient (1.4-1) unstable; urgency=low

  * The "Do No Harm" release
  * See the NEWS file for information on API changes in this version

 -- Thomas Perl <thp@thpinfo.com>  Mon, 26 Apr 2010 13:14:47 +0200

mygpoclient (1.2-2) unstable; urgency=low

  * Drop Python 2.4 support (we need absolute imports) (Closes: #575212)

 -- Thomas Perl <thp@thpinfo.com>  Thu, 25 Mar 2010 01:06:19 +0100

mygpoclient (1.2-1) unstable; urgency=low

  * New upstream release
  * Update to Debian Policy 3.8.4 (no changes necessary in this package)

 -- Thomas Perl <thp@thpinfo.com>  Tue, 23 Mar 2010 15:38:02 +0100

mygpoclient (1.0-1) unstable; urgency=low

  * Initial release (Closes: #565691)

 -- Thomas Perl <thp@thpinfo.com>  Sun, 17 Jan 2010 23:14:51 +0100

=== debian/control ===
Source: mygpoclient
Section: python
Priority: extra
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.4
Homepage: http://thp.io/2010/mygpoclient/
Vcs-Git: git://git.debian.org/git/collab-maint/mygpoclient.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mygpoclient.git
X-Python-Version: >= 2.6

Package: python-mygpoclient
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Client library for the gpodder.net web service
 The mygpoclient library allows developers to utilize a
 Pythonic interface to the gpodder.net web services (formerly
 known as my.gpodder.org).
 .
 In addition to the user-specific API endpoints, a public
 (non-authenticated) API is provided for searching podcasts
 and retrieving the podcast toplist from the server.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem python_distutils --with python2

=== debian/watch ===
# Debian watch file for mygpoclient
version=3

http://thp.io/2010/mygpoclient/mygpoclient-(.*)\.tar\.gz

## mygpoclient 1.8

=== debian/changelog ===
mygpoclient (1.8-4) unstable; urgency=medium

  * Specify debhelper compat 12 via debhelper-compat dependency
  * Add patch address syntax warnings
  * Bump Standards-Version to 4.5.0
  * Freshen debian/copyright
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 14 Apr 2020 21:48:06 -0700

mygpoclient (1.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ tony mancill ]
  * Remove python-mygpoclient binary package (Closes: #937097)
  * Freshen years in debian/copyright
  * Use debhelper 12
  * Bump Standards-Version to 4.4.0
  * Update debian/NEWS

 -- tony mancill <tmancill@debian.org>  Sun, 01 Sep 2019 08:56:49 -0700

mygpoclient (1.8-2) unstable; urgency=medium

  * Update Vcs fields for migration from Alioth -> Salsa
  * Drop versioned depends on python-all due to age
  * Use debhelper 11
  * Update debian/docs (Closes: #903183)
  * Drop X-Python-Version from debian/control
  * Bump Standards-Version to 4.1.5

 -- tony mancill <tmancill@debian.org>  Sun, 15 Jul 2018 08:53:35 -0700

mygpoclient (1.8-1) unstable; urgency=medium

  * New upstream version 1.8
  * Update debian/watch to scan Github
  * Freshen debian/copyright
  * Update Homepage in debian/control
  * Bump Standards-Version to 4.1.3
  * Update Vcs URLs to be canonical
  * Use debhelper 10
  * Drop unneeded debian/patches
  * Change priority from "extra" to "optional"
  * Add python3-mygpoclient package for python3
  * Build with pybuild
  * Rename CLI utilities in /usr/bin in python-mygpoclient package
  * Add build-dep on cmake
  * Add NEWS.Debian to document binary renaming

 -- tony mancill <tmancill@debian.org>  Sat, 06 Jan 2018 08:42:02 -0800

=== debian/control ===
Source: mygpoclient
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/mygpoclient
Vcs-Git: https://salsa.debian.org/debian/mygpoclient.git
Homepage: https://mygpoclient.readthedocs.io/en/latest/
Rules-Requires-Root: no

Package: python3-mygpoclient
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Conflicts: python-mygpoclient (<< 1.8~)
Provides: ${python:Provides}
Description: Client library for the gpodder.net web service
 The mygpoclient library allows developers to utilize a
 Pythonic interface to the gpodder.net web services (formerly
 known as my.gpodder.org).
 .
 In addition to the user-specific API endpoints, a public
 (non-authenticated) API is provided for searching podcasts
 and retrieving the podcast toplist from the server.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
  opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gpodder-$1\.tar\.gz/ \
  https://github.com/gpodder/mygpoclient/tags .*/v?(\d\S+)\.tar\.gz

## mygpoclient 1.9

=== debian/changelog ===
mygpoclient (1.9-1) unstable; urgency=medium

  * New upstream version 1.9
  * Remove address syntax warnings patch.
  * Bump Standards-Version to 4.6.1
  * Use debhelper-compat 13
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Thu, 21 Jul 2022 19:23:47 -0700

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: tony mancill <tmancill@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/mygpoclient
 Vcs-Git: https://salsa.debian.org/debian/mygpoclient.git
 Homepage: https://mygpoclient.readthedocs.io/en/latest/

## mygpoclient 1.10

=== debian/changelog ===
mygpoclient (1.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ tony mancill ]
  * New upstream version 1.10
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Fri, 29 Nov 2024 10:43:45 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/mygpoclient
 Vcs-Git: https://salsa.debian.org/debian/mygpoclient.git
 Homepage: https://mygpoclient.readthedocs.io/en/latest/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mygpoclient
export PYBUILD_VERBOSE=1
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install
